name: 'Storage - device-mapper VDO'
universal_id: redhat_dmtest_vdo
host_types: bare_metal
origin: kernel_public_tests
location: storage/dm/dmtest-vdo
partitions: cases/storage/lvm/device-mapper/partitions.xml.j2
maintainers:
  - name: Filip Suba
    email: fsuba@redhat.com
    gitlab: fsuba
waived: true
enabled:
  arches:
    not:
      or:
        - aarch64  # blktrace can cause OOM BZ1940799
        - s390x    # SUT must have more than 20GB free disk space
  components:
    not:
      or:
        # there are problems when using blktrace and debug kernels on systems
        # with many CPUs
        - debugbuild
target_sources:
  - '@dm'
  - '@dm_and_md'
  - '@md'
cases:
  rhel:
    name: 'rhel'
    enabled:
      trees:
        or:
          - rhel10.*|c10s
  upstream:
    name: 'upstream'
    enabled:
      trees:
        or:
          - rawhide|eln
          - fedora-latest
sets:
  - stor
max_duration_seconds: 14400
